%global plugin_name pipeline-graph-analysis

Summary:    Analyzing Jenkins pipeline runs by inspecting the directed acyclic graph of FlowNodes
Name:       jenkins-plugin-%{plugin_name}
Version:    1.3
Release:    1%{?dist}
License:    MIT
URL:        https://wiki.jenkins-ci.org/display/JENKINS/Pipeline+Graph+Analysis+Plugin
# AltURL:   https://github.com/jenkinsci/pipeline-graph-analysis-plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins-plugin-pipeline-input-step
Requires:   jenkins-plugin-pipeline-stage-step
Requires:   jenkins-plugin-workflow-api
Requires:   jenkins-plugin-workflow-cps
Requires:   jenkins-plugin-workflow-job
Requires:   jenkins-plugin-workflow-step-api
Requires:   jenkins-plugin-workflow-support
Requires:   jenkins >= 1.642.3

%description
Plugin for analyzing Jenkins pipeline (formerly workflow) runs by 
inspecting the directed acyclic graph of FlowNodes that comprises them.

Intended for where dependencies prevent it from being including 
in the workflow api plugin.

%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Mon Feb 06 2017 Troy Dawson <tdawson@redhat.com> - 1.3-1
- Update to 1.3

* Fri Nov 04 2016 Troy Dawson <tdawson@redhat.com> - 1.2-1
- Initial package
